Skip to navigation

Update Enabled Filters

Updates enabled default Product Filtering filters.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
EnabledProductFilterobjectRequired
A filter that uses product options and custom field data.
OR
EnabledPriceFilterobjectRequired

A filter based on the product’s price, shown as a price range on the storefront.

OR
EnabledCategoryFilterobjectRequired
A storefront filter for product category
OR
EnabledBrandFilterobjectRequired
A storefront filter for product brand
OR
EnabledRatingFilterobjectRequired
A filter based on product review ratings.
OR
EnabledMiscFilterobjectRequired
Miscellaneous filters which appear as a group.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.